### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-app/ecl-app.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-app`
templateUrl | `./ecl-app.component.html`

### Index

###### Properties
eclLanguageList eclSiteHeader Public languages
###### Methods
getCssClasses
###### Inputs
class e2eAttr
###### Outputs
languageDismiss

### Constructor

`constructor(config: GlobalConfig, eclLanguageService: EclLanguageService, i18nService: I18nService, cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
config | `GlobalConfig` | No
eclLanguageService | `EclLanguageService` | No
i18nService | `I18nService` | No
cd | `ChangeDetectorRef` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

languageDismiss
Type : `EventEmitter`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclLanguageList
Type : `EclLanguageListComponent`
Decorators : `@ViewChild(EclLanguageListComponent)`

eclSiteHeader
Type : `EclSiteHeaderComponent`
Decorators : `@ContentChild(EclSiteHeaderComponent)`

Public languages
Type : `Array<EclLanguage>`
Default value : `[]`

# results matching ""

# No results matching ""